@import "sections/popup.css";
@import "sections/purchase.css";
@import "sections/notification.css";
@import "sections/statChart.css";
@import "sections/bill.css";
@import "sections/welcome.css";

@font-face {
    font-family: poppins-bold;
    src: url("fonts/poppins/Poppins-Bold.ttf");
    font-display: swap;
}

@font-face {
    font-family: poppins-reg;
    src: url("fonts/poppins/Poppins-Regular.ttf");
    font-display: swap;
}

@font-face {
    font-family: poppins-med;
    src: url("fonts/poppins/Poppins-Medium.ttf");
    font-display: swap;
}

@font-face {
    font-family: poppins-light;
    src: url("fonts/poppins/Poppins-Light.ttf");
    font-display: swap;
}

:root {
    --fontLight: poppins-light;
    --fontRegular: poppins-reg;
    --fontMedium: poppins-med;
    --fontBold: poppins-bold;

    --red: #F44336;
    --green: #4CAF50;
    --purple: #673AB7;
}

* {
    box-sizing: border-box;
    font-family: var(--fontRegular);
    font-weight: unset;
    margin: unset;
    color: #535353;
}

#wrapper {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 44px;
    right: 0;
    background-color: #ededed;
    padding: 20px;
}

#wrapper * {
    border-radius: 10px;
}

.header {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.header--text {
    flex: 1;
}

.title {
    font-size: 24px;
    font-family: var(--fontBold);
}

#header--stats {
    width: 50px;
    aspect-ratio: 1 / 1;
    background-color: var(--purple);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 25px;
}

#header--stats i {
    color: white;
}

.shadow {
    background-color: white;
    box-shadow: 0 0 5px 0 #e3e3e3;
    padding: 10px;
    border: 2px solid white;
}

.card--row {
    display: flex;
    flex-wrap: wrap;
    column-gap: 10px;
    row-gap: 10px;
}

.card--column {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    transition: opacity 0.3s;
}

.card {
    flex: 1;
    min-width: 150px;
}

.card--label {
    font-size: 15px;
}

.card--value {
    font-family: var(--fontBold);
    font-size: 25px;
}

.section--title {
    font-family: var(--fontBold);
    font-size: 18px;
    margin-top: 15px;
    margin-bottom: 5px;
}

.purchase {
    display: flex;
    align-items: center;
}

.purchase--day {
    font-family: var(--fontRegular);
    width: 60px;
    font-size: 12px;
    margin-right: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--purple);
    color: white;
    height: 30px;
}

.purchase--details {
    flex: 1;
}

.purchase--name {
    font-family: var(--fontBold);
    font-size: 12px;
}

.purchase--date {
    font-size: 12px;
}

.purchase--values {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-left: 10px;
    width: 80px;
}

.purchase--amount {
    font-family: var(--fontBold);
    font-size: 18px;
}

.purchase--left {
    font-size: 14px;
    padding: 2px 5px;
}

.purchase__left--negative {
    background-color: var(--red);
    color: white;
    border-radius: 5px !important;
}

.negative {
    border-color: var(--red);
}

.positive {
    border-color: var(--green);
}

#footer {
    position: absolute;
    left: 0;
    bottom: 0;
    right: 0;
    height: 45px;
    background-color: white;
    border-top: 2px solid #e7e7e7;
    display: flex;
    padding: 10px;
    justify-content: space-around;
    align-items: end;
    column-gap: 10px;
    border-top: 2px solid #dfdfdf;
}

.footer--button {
    height: 60px;
    display: flex;
    flex-direction: column;
    border-radius: 20px;
    align-items: center;
    justify-content: center;
    padding: 10px;
    flex: 1;
    background-color: white;
    box-shadow: 0 0 5px 0 #e3e3e3;
    transition: opacity 0.3s;
    opacity: 1;
}

.footer--button i {
    font-size: 30px;
    color: #696969;
    transition: color 0.3s;
}

.footer__button--selected {
    border-color: var(--purple);
}

.footer__button--selected i {
    color: var(--purple);
}

.footer__button--label {
    font-size: 14px;
    font-family: var(--fontBold);
    color: #696969;
    text-align: center;
}

.footer__button--disabled {
    background-color: #7d7d7d;
}

.footer__button--disabled i {
    color: #9d9d9d;
}

#footer[data-visible="false"] .footer--button {
    opacity: 0;
}

.page {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    padding: 20px;
    flex-direction: column;
    display: none;
    transition: opacity 0.3s;
    row-gap: 10px;
}

.page[data-open="true"] {
    display: flex;
}